services:
  customerv1.0.1:
    image: gitea.pena/penaside/customer/staging:$GITHUB_RUN_NUMBER
    tty: true
    labels:
      com.pena.allowed_headers: content-type,authorization,response-type
    environment:
      CLIENT_HTTP_URL: 0.0.0.0:8065
      ADMIN_HTTP_URL: 0.0.0.0:8066

      GRPC_URL: 0.0.0.0:9065
      GRPC_DOMAIN: 10.7.0.6:9060

      MONGO_URL: mongodb://customer:WAR2Fr6SuPKhtvEp@mongodb.pena:27017/?authSource=customer
      MONGO_DB_NAME: customer
      TELEGRAM_RS_PAY_CHANNEL_ID: -1002338593104
      TELEGRAM_NOTIFICATION_CHANNEL_ID: -1002017928045

      KAFKA_BROKERS: 10.7.0.6:9092
      KAFKA_TOPIC_TARIFF: tariffs

      AUTH_MICROSERVICE_URL: http://10.7.0.6:59300
      HUBADMIN_MICROSERVICE_URL: http://10.7.0.6:59304
      CURRENCY_MICROSERVICE_URL: http://10.7.0.6:3131
      DISCOUNT_MICROSERVICE_GRPC_URL: 10.7.0.6:9001
      PAYMENT_MICROSERVICE_GRPC_URL: 10.7.0.6:9085
      VERIFICATION_MICROSERVICE_URL: http://10.7.0.6:7036
      TEMPLATEGEN_MICROSERVICE_URL: http://10.7.0.6:8012
      API_URL: https://api.smtp.bz/v1/smtp/send
      CODEWORD_MICROSERVICE_GRPC_URL: 10.7.0.6:59665
      MAIL_SENDER: noreply@mailing.pena.digital
      MAIL_API_KEY: P0YsjUB137upXrr1NiJefHmXVKW1hmBWlpev
      MAIL_ADDRESS: sells@pena.digital
      JWT_PUBLIC_KEY: "-----BEGIN PUBLIC KEY-----\nMIGfMA0GCSqGSIb3DQEBAQUAA4GNADCBiQKBgQCLW1tlHyKC9AG0hGpmkksET2DE\nr7ojSPemxFWAgFgcPJWQ7x3uNbsdJ3bIZFoA/FClaWKMCZmjnH9tv0bKZtY/CDhM\nZEyHpMruRSn6IKrxjtQZWy4uv/w6MzUeyBYG0OvNCiYpdvz5SkAGAUHD5ZNFqn2w\nKKFD0I2Dr59BFVSGJwIDAQAB\n-----END PUBLIC KEY-----"
      JWT_ISSUER: pena-auth-service
      JWT_AUDIENCE: pena

      ENCRYPT_PUBLIC_KEY: $USER_PKEY
      ENCRYPT_PRIVATE_KEY: $USER_PRIVATEKEY
      ADMIN_FRONT_URL: https://sadmin.pena
      TRASH_LOG_HOST: 10.7.0.5:7113
      TELEGRAM_TOKEN: 6112841016:AAH2nO1c6mqfMewBvHwdXCDp5PCclOuc99s
    ports:
      - 10.7.0.6:8067:8065
      - 10.7.0.6:8070:8066
      - 10.7.0.6:9060:9065
